package com.danitheskunk.skunkworks;

import java.util.List;

public interface IWindow {
	IFont loadFontTileset(String path);
	ITexture loadTexture(Image image);
	ITexture loadTexture(String path);
	List<ITexture> loadTextureArray(Image image, Vec2i tileSize);
	List<ITexture> loadTextureArray(String path, Vec2i tileSize);
	void renderFinish(IRenderContext context);
	IRenderContext renderStart();
	void setDebug(boolean on);
	boolean shouldClose();
	void tick();
}
